require('dotenv').config();
module.exports = {


    friendlyName: 'Create',


    description: 'Create Nature recette!',


    inputs: {
        codeEcole: {
            type: 'string',
            required: true
        },
        anneeScolaire: {
            type: 'string',
            required: true
        },
        codeNatureRecette: {
            type: 'string',
            required: true
        },
        libelleNatureRecette: {
            type: 'string',
        },




        logiUsername: {
            type: 'string',
            require: true

        },
        key: {
            type: 'string',
            require: true

        },
        logiPassword: {
            type: 'string',
            require: true

        },


    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)

        // TOKEN VERIFY
        let user = await Utilisateurs.find({ login: inputs.logiUsername, codeUser: inputs.logiPassword }).then(_.first)
        if (!user) {
            return exits.notFound('Utilisateur non trouvé')
        }
        console.log("INPUTS 2", inputs)

        let keyVerify = process.env.KEYVERIFY
        //
        if (keyVerify !== inputs.key) {
            return exits.notFound({ message: "Token non valide" })
        }


        ///////////////////
        let natureCreate;
        let nature = await NatureRecette.find({ codeEcole: inputs.codeEcole, anneeScolaire: inputs.anneeScolaire, codeNatureRecette: inputs.codeNatureRecette }).then(_.first)
        if (nature) {

            return exits.notFound({ message: "Cette nature existe déja, veuillez la modifier!" })
        } else {
            natureCreate = await NatureRecette.create(inputs).fetch();
        }
        // All done.
        return exits.success(natureCreate);

    }


};
